Bug 1118792 - Add OCF Resources to neutron-netns-cleanup and neutron-ovs-cleanup for pacemaker
Summary: Add OCF Resources to neutron-netns-cleanup and neutron-ovs-cleanup for pacemaker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 5.0 (RHEL 7)
Assignee: Miguel Angel Ajo
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 1083890
TreeView+ depends on / blocked
 
Reported: 2014-07-11 14:20 UTC by Miguel Angel Ajo
Modified: 2016-04-26 22:23 UTC (History)
5 users (show)

Fixed In Version: openstack-neutron-2014.1.1-3.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, Networking packaging excluded OCF resources for the 'neutron-netns-cleanup' and 'neutron-ova-cleanup' services. As a result, Pacemaker did not clean up unused network namespaces and Open vSwitch resources when fencing the Networking service. With this update, the previously excluded OCF resources were added to Networking packages. As a result, Pacemaker is now able to clean up unused network namespaces and Open vSwitch resources when fencing the Networking service.
Clone Of:
Environment:
Last Closed: 2014-07-24 17:24:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0936 normal SHIPPED_LIVE openstack-neutron bug-fix advisory 2014-07-24 21:22:04 UTC

Description Miguel Angel Ajo 2014-07-11 14:20:30 UTC
Description of problem:

  Those services are one-shot, that are started before all the agents
and 'stopped' after all the agents.

start means: cleanup non used resources (ovs, netns)
stop means:  cleanup all resources (ovs.netns) which is used when
             moving agents to a different host.

Using only systemd, we could't get to work the stop semantics, because
systemd discovers there's no actual PID running, and won't accept the 
stop semantics.

Comment 2 Miguel Angel Ajo 2014-07-11 14:33:46 UTC
To test the resource definitions are installed, you may need to 
install pacemaker and then run:

# pcs resource describe ocf:neutron:NetnsCleanup
ocf:neutron:NetnsCleanup - neutron netns cleanup resource agent
This resource agent does nothing during execution, only executes a cleanup during start, and a force cleanup during stop of the netns resources generated by neutron agents.

# pcs resource describe ocf:neutron:OVSCleanup
....
...

Comment 5 Leonid Natapov 2014-07-22 10:09:22 UTC
tested with openstack-neutron-2014.1.1-4.el7ost.noarch

[root@a25400702875 ~]# pcs resource describe ocf:neutron:NetnsCleanup
ocf:neutron:NetnsCleanup - neutron netns cleanup resource agent

 This resource agent does nothing during execution, only executes a cleanup during start, and a force cleanup during stop of the netns resources generated by neutron agents.

[root@a25400702875 ~]# pcs resource describe ocf:neutron:OVSCleanup
ocf:neutron:OVSCleanup - neutron OVS cleanup resource agent

 This resource agent does nothing during execution, only executes a cleanup during start, and a force cleanup during stop of the openvswitch resources generated by neutron agents.

Comment 7 errata-xmlrpc 2014-07-24 17:24:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0936.html


Note You need to log in before you can comment on or make changes to this bug.